import { CentralExchange } from "./central-exchange.entity";
import { DeepPartial, EntityManager, InsertResult, Repository } from "typeorm";
import { ServiceBase } from "../app/service.base";
export declare class CentralExchangeService extends ServiceBase<CentralExchange> {
    readonly repo: Repository<CentralExchange>;
    constructor(repo: Repository<CentralExchange>);
    createAllIfNotExistBy(params: DeepPartial<CentralExchange>[], manager?: EntityManager): Promise<InsertResult>;
}
